ncurses_has_ic
ncurses_has_key
Ncurses Functions
PHP Manual

# ncurses_has_il

(PHP 4 >= 4.0.7, PHP 5 < 5.3.0, PECL ncurses >= 1.0.0)

ncurses_has_il — Check for line insert- and delete-capabilities

### Description

bool ncurses_has_il ( void )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Checks whether the terminal has insert- and delete-line-capabilities.

### Return Values

Returns `TRUE` if the terminal has insert/delete-line capabilities, `FALSE` otherwise.

### See Also

- ncurses_has_ic() - Check for insert- and delete-capabilities

ncurses_has_ic
ncurses_has_key
Ncurses Functions
PHP Manual